- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherSolverOutput Class Reference

The OtherSolverOutput Class. More...

`#include <OSResult.h>`

Collaboration diagram for OtherSolverOutput:

[legend]
List of all members.

## Public Member Functions
| OtherSolverOutput ()
| Default constructor.
| ~OtherSolverOutput ()
| Class destructor.
bool | IsEqual (OtherSolverOutput *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | numberOfSolverOutputs
| the number of elements in the pointer of SolverOutput objects
SolverOutput ** | solverOutput
| solverOutput is a pointer to an array of SolverOutput objects

## Detailed Description

The OtherSolverOutput Class.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that allows the solver to report an arbitrary result associated with the solution.

Definition at line 2090 of file OSResult.h.

## Constructor & Destructor Documentation

OtherSolverOutput::OtherSolverOutput | ( |  | ) |

Default constructor.

Definition at line 975 of file OSResult.cpp.

OtherSolverOutput::~OtherSolverOutput | ( |  | ) |

Class destructor.

Definition at line 986 of file OSResult.cpp.

References numberOfSolverOutputs, and solverOutput.

## Member Function Documentation

bool OtherSolverOutput::IsEqual | ( | OtherSolverOutput * | that | ) |

A function to check for the equality of two objects.

Definition at line 7134 of file OSResult.cpp.

bool OtherSolverOutput::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 8282 of file OSResult.cpp.

References SolverOutput::setRandom(), and solverOutput.

## Member Data Documentation

int OtherSolverOutput::numberOfSolverOutputs

the number of elements in the pointer of SolverOutput objects

Definition at line 2095 of file OSResult.h.

Referenced by ~OtherSolverOutput().

SolverOutput** OtherSolverOutput::solverOutput

solverOutput is a pointer to an array of SolverOutput objects

Definition at line 2099 of file OSResult.h.

Referenced by setRandom(), and ~OtherSolverOutput().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp